import { loginStatus } from './utils/https';
import { updateVersion } from './utils/util';

// app.ts
App<
  IAppOption & {
    // Storage: IStorage
  }
>({
  globalData: {},
  onLaunch() {
    // 展示本地存储能力
    // const logs = wx.getStorageSync("logs") || [];
    // logs.unshift(Date.now());
    // setStorage("logs", logs);
    // // 登录
    // wx.login({
    //   success: (res) => {
    //     console.log(res.code);
    //     // 发送 res.code 到后台换取 openId, sessionKey, unionId
    //   },
    // });
  },
  onShow() {
    updateVersion();
    loginStatus();
  },
  // Storage: Storage, // 将 Storage 挂载到 App 实例上
});
